<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://qconsulting.ca/fo3/ModConfig5.0.xsd">
	<moduleName>Bakafactory Motion Data Pack</moduleName>
	<moduleImage path="Fomod\Screens\BakaMotionPack.gif" showImage="true" height="-1" showFade="true" />

	<installSteps order="Explicit">	
	
		<installStep name="">
			<optionalFileGroups>

				<group name="Baka Motion Pack" type="SelectExactlyOne">
					<plugins order="Explicit">
					
						<plugin name="LE">
							<description>
							<![CDATA[(LE)]]>
							</description>
							<conditionFlags>
								<flag name="LEFlag">On</flag>
							</conditionFlags>
							<files>
							<folder source="Baka Motion Integration LE" destination="" priority="0"/>
							</files>
							<typeDescriptor>
								<type name="Optional"/>
							</typeDescriptor>				
						</plugin>
						
						<plugin name="SE">
							<description>
							<![CDATA[(SE)]]>
							</description>
							<conditionFlags>
								<flag name="SEFlag">On</flag>
							</conditionFlags>
							<files>
							<folder source="Baka Motion Integration SE" destination="" priority="0"/>
							</files>
							<typeDescriptor>
								<type name="Optional"/>
							</typeDescriptor>
						</plugin>

					</plugins>   
				</group>

			</optionalFileGroups>
		</installStep>

		<installStep name="">
			<optionalFileGroups>
				<group name="Baka Motion Pack DAR/OAR Patch" type="SelectExactlyOne">
					<plugins order="Explicit">

						<plugin name="DAR Patch">
							<description>
							<![CDATA[Dynamic Animation Replacer Patch.]]>
							</description>
							<conditionFlags>
								<flag name="DAR">On</flag>
								<flag name="OAR">Off</flag>
							</conditionFlags>
							<typeDescriptor>
								<type name="Recommended"/>
							</typeDescriptor>				
						</plugin>
						
						<plugin name="OAR Patch">
							<description>
							<![CDATA[Open Animation Replacer Patch. SE Only.]]>
							</description>
							<conditionFlags>
								<flag name="OAR">On</flag>
								<flag name="DAR">Off</flag>
							</conditionFlags>
							<typeDescriptor>
								<type name="Recommended"/>
							</typeDescriptor>				
						</plugin>

						<plugin name="Skip">
							<description>
							<![CDATA[Skip]]>
							</description>
							<conditionFlags>
								<flag name="DAR">Off</flag>
								<flag name="OAR">Off</flag>
							</conditionFlags>
							<typeDescriptor>
								<type name="Optional"/>
							</typeDescriptor>				
						</plugin>

					</plugins>   
				</group>

			</optionalFileGroups>
		</installStep>

		<installStep name="">
			<visible>
				<flagDependency flag="SEFlag" value="On" /> 
			</visible>
			<optionalFileGroups>
				<group name="Baka Motion Pack AMR Patch" type="SelectAny">
					<plugins order="Explicit">

						<plugin name="AMR Patch">
							<description>
							<![CDATA[Animation Motion Revolution Patch.]]>
							</description>
							<files>
							<folder source="AMR Patch" destination="" priority="10"/>
							</files>
							<typeDescriptor>
								<type name="Optional"/>
							</typeDescriptor>				
						</plugin>

					</plugins>   
				</group>

			</optionalFileGroups>
		</installStep>

 </installSteps>

 	<conditionalFileInstalls> 
		<patterns> 
			<pattern> 
				<dependencies operator="And">
					<flagDependency flag="LEFlag" value="On"/> 
					<flagDependency flag="DAR" value="On"/> 
				</dependencies> 
				<files> 
					<folder source="DAR LE Patch" destination="" priority="0"/>
				</files> 
			</pattern>
			<pattern> 
				<dependencies operator="And">
					<flagDependency flag="SEFlag" value="On"/> 
					<flagDependency flag="DAR" value="On"/> 
				</dependencies> 
				<files> 
					<folder source="DAR SE Patch" destination="" priority="0"/>
				</files> 
			</pattern>
			<pattern> 
				<dependencies operator="And">
					<flagDependency flag="SEFlag" value="On"/> 
					<flagDependency flag="OAR" value="On"/> 
				</dependencies> 
				<files> 
					<folder source="OAR SE Patch" destination="" priority="0"/>
				</files> 
			</pattern>
		</patterns> 
	</conditionalFileInstalls> 

 </config>